package com.huatek.busi.service.transformer;

import com.github.pagehelper.PageInfo;
import com.huatek.busi.dto.BusiGeneratorPdDto;
import com.huatek.busi.dto.HomeSearchDto;
import com.huatek.busi.dto.TransformerPdDto;
import com.huatek.busi.vo.BusiGeneratorPdVo;
import com.huatek.busi.vo.GeneratorPdCountVo;
import com.huatek.busi.vo.HomeActualVo;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;

/**
 * 变压器/电抗器——局部放电：021001、024001、027001 Service
 *
 * @author anker_cheng
 * @date Jun 26, 2019 1:11:47 PM
 */
public interface BusiGeneratorPdService {

    List<GeneratorPdCountVo> getListEquInfo(LocalDate day);

    HomeActualVo queryActual(HomeSearchDto param);

    List<BusiGeneratorPdVo> findReportDataList(String sensorCode, LocalDateTime startTime, LocalDateTime endTime);
    
    List<Map<String, Object>> findReportDataListByFirstData(String sensorCode);
    
    PageInfo<Map<String, Object>> findGeneratorPdPage(TransformerPdDto dto);

    List<Object> exportGeneratorPdPage(TransformerPdDto transformerPdDto);

    List<HomeActualVo> queryActuals();
}